# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit user distutils-r1 #webapp

DESCRIPTION="Searx is a free internet metasearch engine which aggregates results."
HOMEPAGE="https://asciimoo.github.io/searx/index.html"
GITHUB_USER="asciimoo"
GITHUB_TAG="${PV}"
SRC_URI="https://github.com/${GITHUB_USER}/${PN}/archive/v${GITHUB_TAG}.tar.gz -> ${P}.tar.gz"


LICENSE="AGPL3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
WEBAPP_MANUAL_SLOT="yes"

DEPEND="
		dev-python/Babel
		virtual/libffi

		dev-python/certifi
		dev-python/flask
		dev-python/flask-babel
		dev-python/lxml
		dev-python/idna
		dev-python/pygments
		dev-python/pyopenssl
		dev-python/python-dateutil
		dev-python/pyyaml
		dev-python/requests[socks5]
"
RDEPEND="${DEPEND}"
BDEPEND=""

src_prepare() {
	sed -i -e "s!'tests/.*\$!!g" \
		-e "s!^dev_requirements.*\$!!g" \
		-e "s!'test': dev_requirements!!g" \
		setup.py
	sed -i -e "s/ultrasecretkey/`openssl rand -hex 16`/g" searx/settings.yml
	rm -rf tests
	rm requirements-dev.txt
	eapply_user
}

pkg_setup() {
	enewgroup searx
	enewuser searx -1 -1 -1 searx
}
